# drawTickAxes()

## Example

### *With* drawTickAxes()

![](/files/fHN1veI84tG7sKPaZbTP)

```python
background("#0F1574")
drawTickAxes()
```

### *Without* drawTickAxes()

![](/files/2RkndZwWJPoAJBvpStuj)

```python
background("#0F1574")
```

### Syntax

```
drawTickAxes(
  [scaleFactor],
  [spacing],
  [axisColor],
  [gridColor],
  [labelColor],
  [labelSize],
  [axisThickness],
  [tickThickness],
  [gridThickness]
);
```

<table><thead><tr><th width="160">Input</th><th>Description</th></tr></thead><tbody><tr><td>scaleFactor</td><td>the scale factor applied to the coordinate system prior to drawing the axes</td></tr><tr><td>spacing</td><td>the spacing between tick marks / gridlines</td></tr><tr><td>axisColor</td><td>the color to draw the axes</td></tr><tr><td>gridColor</td><td>the color to draw the gridlines</td></tr><tr><td>labelColor</td><td>the color to draw the labels</td></tr><tr><td>labelSize</td><td>the size of the labels</td></tr><tr><td>axisThickness</td><td>the thickness to draw the axes</td></tr><tr><td>tickThickness</td><td>the thickness to draw the tick marks</td></tr><tr><td>gridThickness</td><td>the thickness to draw the gridlines</td></tr></tbody></table>

### Description

This function draws x and y-axes with tick marks, labels, and gridlines. They are the standard cartesian coordinates

{% hint style="info" %}
Find these documents helpful? Let the people who made them help your child learn to code at [**Strivemath**](https://www.strivemath.com/)<mark style="color:blue;">**!**</mark>

We'd love to hear your Feedback/Comments [here](https://docs.google.com/forms/d/e/1FAIpQLSeqorBAGTya-YBRI-VFjJxtgQtCz3ucGDI96K96sNyuaGuvdw/viewform?usp=sf_link).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learnpython.strivemath.com/p5-python-web/reference/math/drawtickaxes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
